﻿@model Tuple<QueryManagerItemView, List<CompanyView>> 
@{
    ViewBag.Title = "_Query";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
</script>

<h1 class="page-header">@ViewBag.Tite</h1>

<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <h3 class="panel-title">@QueryManager.QM</h3>
    </div>
    <div class="panel-body">
        @using (Html.BeginForm("ConfirmAction", "Query", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formQuery" }))
        {
            <label class="col-md-4 control-label" id="REQ" style="display:none">@News.REQ</label>
            <div class="form-group">
                <label class="col-md-4 control-label" id="lblQueryIdentifier">@QueryManager.QI</label>
                <div class="col-md-8">
                    @Html.TextBoxFor(c => c.Item1.QueryIdentifier, new { @Id = "QueryIdentifier", @placeholder = @QueryManager.QI, @class = "form-control" })
                </div>
            </div>
            <label class="col-md-4 control-label" id="REQ" style="display:none">@News.REQ</label>
            <div class="form-group">
                <label class="col-md-4 control-label" id="lblIdCompany">@Users.Companies</label>
                <div class="col-md-8">
                    @Html.DropDownListFor(model => model.Item1.IdCompany, new SelectList(
                       Model.Item2,
                       "IdCompany",
                       "CompanyDB",
                        Model.Item1.IdCompany), new { @Id = "IdCompany", @class = "form-control" })
                </div>
            </div>
            <div class="clear_simple"></div>
            <div class="form-group">
                <label class="col-md-4 control-label" id="lblSelectField">Select</label>
                <div class="col-md-8">
                    @Html.TextAreaFor(c => c.Item1.SelectField, new { @Id = "SelectField", @placeholder = "Select", @class = "form-control" })
                </div>
            </div>
            <div class="clear_simple"></div>
            <div class="form-group">
                <label class="col-md-4 control-label" id="lblFromField">From</label>
                <div class="col-md-8">
                    @Html.TextAreaFor(c => c.Item1.FromField, new { @Id = "FromField", @placeholder = "From", @class = "form-control" })
                </div>
            </div>
            <div class="clear_simple"></div>
            <div class="form-group">
                <label class="col-md-4 control-label" id="lblWhereField">Where</label>
                <div class="col-md-8">
                    @Html.TextAreaFor(c => c.Item1.WhereField, new { @Id = "WhereField", @placeholder = "Where", @class = "form-control" })
                </div>
            </div>
            <div class="clear_simple"></div>
            <div class="form-group">
                <label class="col-md-4 control-label" id="lblGroupByField">GroupBy</label>
                <div class="col-md-8">
                    @Html.TextAreaFor(c => c.Item1.GroupByField, new { @Id = "GroupByField", @placeholder = "Group By", @class = "form-control" })
                </div>
            </div>
            <div class="clear_simple"></div>
            <div class="form-group">
                <label class="col-md-4 control-label" id="lblOrderByField">OrderBy</label>
                <div class="col-md-8">
                    @Html.TextAreaFor(c => c.Item1.OrderByField, new { @Id = "OrderByField", @placeholder = "Order By", @class = "form-control" })
                </div>
            </div>

            @Html.HiddenFor(c => c.Item1.IdQuery, new { @Id = "IdQuery" })

            <div class="but_blok_footer">
                <div class="col-md-12">
                    <button type="submit" class="btn btn-lg btn-success pull-right margin-left">Ok</button>
                    @Html.ActionLink(@News.Cancel, "Index", "QueryManager", null, new { @class = "btn btn-lg btn-default pull-right margin-left" })
                </div>
            </div>
        }
    </div>
</div>

@Html.Partial("_MessagePartial", @News.AYSTYWTRTR)

@Scripts.Render("~/bundles/QueryManager")

